### Method

# Aravis Buffer get_timestamp

since: 0.4.0

#### Declaration [src]

    guint64
    arv_buffer_get_timestamp (
      ArvBuffer* buffer
    )

#### Description [src]

Gets the buffer camera timestamp, expressed as nanoseconds. Not all devices provide reliable timestamp, which means sometimes its better to rely on the buffer completion host local time, or to use arv_buffer_get_system_timestamp().

Available since: 0.4.0

#### Return value

Type: `guint64`

Buffer timestamp, in nanoseconds.